Upload Brand evidence
curl --request POST \
--url https://api.wavix.com/v3/10dlc/brands/{brand_id}/evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.wavix.com/v3/10dlc/brands/{brand_id}/evidence"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.wavix.com/v3/10dlc/brands/{brand_id}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"file_name": "image.png",
"mime_type": "image/png",
"url": "https://api.wavix.dev/v3/10dlc/brands/B6AI7PA/evidence/191eb205-8357-4d71-b8da-160a25a000d7",
"uuid": "191eb205-8357-4d71-b8da-160a25a000d7"
}{
"success": false,
"message": "Request failed. The feature is disabled for the account."
}{
"success": false,
"message": "Request failed. The Brand is not found."
}{
"success": false,
"message": "File missing"
}10DLC
Upload Brand evidence
Uploads a supporting evidence file for the 10DLC Brand identified by brand_id. Supported formats include .jpg, .png, and .pdf. Maximum size is 10 MB.
POST
/
v3
/
10dlc
/
brands
/
{brand_id}
/
evidence
Upload Brand evidence
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Path Parameters
The unique ID of the 10DLC Brand.
Example:
"B6AI7PA"
Body
multipart/form-data
Evidence file to upload. Maximum size is 10 MB.
Response
Returns the uploaded evidence file.
The uploaded file name
Example:
"image.png"
The uploaded file media type
Example:
"image/png"
An URL to the uploaded file
Example:
"https://api.wavix.dev/v3/10dlc/brands/B6AI7PA/evidence/191eb205-8357-4d71-b8da-160a25a000d7"
The evidence UUID
Example:
"191eb205-8357-4d71-b8da-160a25a000d7"
Was this page helpful?
⌘I